=== debian/changelog ===
ros-indigo-cob-obstacle-distance (0.6.17-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-obstacle-distance (0.6.16-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-obstacle-distance (0.6.15-0trusty) trusty; urgency=high

  * use xacro --inorder
  * Merge pull request #122 <https://github.com/ipa320/cob_control/issues/122> from ipa-fxm/indigo_roslint
    roslint some packages
  * starting to roslint some packages
  * manually fix changelog
  * add possiblitiy to add shelf as obstacle
  * Contributors: Nadia Hammoudeh García, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-obstacle-distance (0.6.14-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-obstacle-distance (0.6.13-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-obstacle-distance (0.6.12-0trusty) trusty; urgency=high

  * Two publishers where publishing to the same frame name
  * Contributors: ipa-bfb

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-obstacle-distance (0.6.11-0trusty) trusty; urgency=high

  * outsource obstacle_distance messages
  * add missing install tag
  * Added method to set drawable again and to avoid drawing of self-collision links.
  * Renamings and replaced box with sphere.
  * Fixed order of transform and service registration. Additionally added more time to wait for service availability.
  * working on marker publisher
  * working on log output
  * renaming frame - link
  * Contributors: Marco Bezzon, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-obstacle-distance (0.6.10-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-obstacle-distance (0.6.9-0trusty) trusty; urgency=high

  * review dependencies
  * authors in package xml
  * Merge branch 'test_of_feature_with_adapt_frame_tracker' of github.com:ipa-fxm-mb/cob_control into test_of_feature
  * Corrections integrated from PR: [WIP] Finalizing/Testing of TwistController features (#51 <https://github.com/ipa-fxm/cob_control/issues/51>). Renaming from frame_to_collision to link_to_collision.
  * 
    
      * Made some changes for test. - Decreased Duration time for markers. - Corrected pose update for self collision check frames. - Added new scripts.
    
  * boost revision
  * Some preparations for test: IMarker smaller, Alpha settings, More scripts. Default value for Frame Tracker params.
  * 
    
      * CA: Increased exp. decay from 0.1 to 0.2 - Added comments. - Moved constraints set and management to base class. - Added time delta to test script.
    
  * 
    
      * Removed parameter mu. - Added obstacle id for identification of collision pair in ObstacleDistance.msg. - Added Frametracking to DataCollector. - Restructured obstacle distance data collecting. - In debug trajectory marker added explicit usage of frame_tracker/tracking_frame.
    
  * merge
  * more dependency fixes according to review comments
  * explicit dependency to boost
  * Fixed bug when obstacles move away from robot. Clear distances list when new distances arrive (also in case nothing is available for current link) to avoid no movement.
  * Due to restructuring of self-collision YYAMLs also restructured computation of the file and the ignoreSelfCollisionPart method.
  * 
    
      * Renaming obstacle_marker_server for interactive obstacle
      * Now publishing all obstacle distances instead of the minimal distance only. Defined a MIN_DISTANCE for selection of data to publish (e.g. > than 0.5 m doesn't make sense for CA).
      * Selection of the minimal distance in debug node.
      * Callback data mediator processes all obstacles for a frame of interest id now.
      * Restructured methods in constraint classes.
      * In CA constraint now processing all collision pairs for one link in a CollisionAvoidance instance.
      * Removed unnecessary output.
    
  * Resolved merge conflicts.
  * more fixes for migration afer merge
  * merge with package_xml_2
  * remove trailing whitespaces
  * migrate to package format 2
  * 
    
      * Avoided drawing of self-collision frames -> can be done via rviz.
      * Increased CA activation threshold to 0.25 m
    
  * 
    
      * For BVH introduced a shared_ptr member -> so a collision object can be created without copying the whole BVH. This saves computation time (5% for 3 SCA and 1 torus)
      * Decreased rate for cob_obstacle_distance because the movement does not change that often.
      * According to the rate adapted the moving average for distance in constraint_ca_impl
    
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_control into test_of_feature
  * Fixed message generation issue
  * review dependencies
  * updates from ipa-fxm-mb
  * updates from ipa320
  * cleanup
  * missing add_dependencies
  * sort dependencies
  * Fixed bugs in cartesian_controller: waitFor last available transform else extrapolation error; send always a new constructed StampedTransform instead of using an already existent one, else end-effector is decoupled from manipulator and other confusing things happen...; Added responsible node to tf error msg.
  * Merged with ipa-fxm/test_of_feature branch.
  * 
    

