=== debian/control ===
Source: ros-indigo-cob-obstacle-distance
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libeigen3-dev, pkg-config, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cob-control-msgs, ros-indigo-cob-srvs, ros-indigo-dynamic-reconfigure, ros-indigo-eigen-conversions, ros-indigo-fcl, ros-indigo-geometry-msgs, ros-indigo-kdl-conversions, ros-indigo-kdl-parser, ros-indigo-moveit-msgs, ros-indigo-orocos-kdl, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-roslint, ros-indigo-sensor-msgs, ros-indigo-shape-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-urdf, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-obstacle-distance
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libeigen3-dev, pkg-config, ros-indigo-cmake-modules, ros-indigo-cob-control-msgs, ros-indigo-cob-srvs, ros-indigo-dynamic-reconfigure, ros-indigo-eigen-conversions, ros-indigo-fcl, ros-indigo-geometry-msgs, ros-indigo-interactive-markers, ros-indigo-joint-state-publisher, ros-indigo-kdl-conversions, ros-indigo-kdl-parser, ros-indigo-moveit-msgs, ros-indigo-orocos-kdl, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-roslint, ros-indigo-rospy, ros-indigo-rviz, ros-indigo-sensor-msgs, ros-indigo-shape-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-urdf, ros-indigo-visualization-msgs, ros-indigo-xacro
Description: The cob_obstacle_distance package
